> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a block

> Returns a single block document (clause block, clause reference, placeholder, term definition, or image block) by its `_id`.

Access is verified against the block's parent document.



## OpenAPI

````yaml get /block/{id}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /block/{id}:
    get:
      tags:
        - Blocks
      summary: Retrieve a block
      description: >-
        Returns a single block document (clause block, clause reference,
        placeholder, term definition, or image block) by its `_id`.


        Access is verified against the block's parent document.
      operationId: getBlockById
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: id
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                      originId:
                        type: string
                      type:
                        type: string
                        enum:
                          - clauseBlock
                          - clauseReference
                          - placeholderNode
                          - globalReferenceNode
                          - termDefinition
                          - imageBlock
                      properties:
                        type: object
                        properties:
                          attributes:
                            type: object
                            additionalProperties: {}
                          content:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                type:
                                  type: string
                                text:
                                  type: string
                                marks:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      type:
                                        type: string
                                      attributes:
                                        type: object
                                        additionalProperties:
                                          type: string
                                    required:
                                      - type
                                      - attributes
                          marks:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                attributes:
                                  type: object
                                  additionalProperties:
                                    type: string
                              required:
                                - type
                                - attributes
                      nodeId:
                        type: string
                      parentId:
                        type: string
                      userId:
                        type: string
                      projectId:
                        type: string
                      workspaceId:
                        type: string
                      createdAt:
                        type: number
                      updatedAt:
                        type: number
                      isDeleted:
                        type: boolean
                        example: false
                    required:
                      - _id
                      - type
                      - properties
                      - nodeId
                      - userId
                      - projectId
                      - workspaceId
                      - createdAt
                      - updatedAt
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````